## org.apache.poi.ss.formula.functions
Class NotImplementedFunction

    java.lang.Object
      org.apache.poi.ss.formula.functions.NotImplementedFunction

All Implemented Interfaces:
  Function

    public final class NotImplementedFunction

extends java.lang.Object
implements Function

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com > This is the default implementation of a Function class. The default behaviour is to raise a POI internal error (`NotImplementedException`). This error should alert the user that the formula contained a function that is not yet implemented.

Constructor Summary
`protected` `NotImplementedFunction()`
`` `NotImplementedFunction(java.lang.String name)`

Method Summary
`ValueEval` `evaluate(ValueEval[] operands, int srcRow, int srcCol)`
`java.lang.String` `getFunctionName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotImplementedFunction

    protected NotImplementedFunction()

### NotImplementedFunction

    public NotImplementedFunction(java.lang.String name)

Method Detail

### evaluate

    public ValueEval evaluate(ValueEval[] operands,
                              int srcRow,
                              int srcCol)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `operands` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRow` - row index of the cell containing the formula under evaluation
    `srcCol` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

### getFunctionName

    public java.lang.String getFunctionName()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.